# Recraft V3 > Recraft V3 (code-named red_panda) is a text-to-image model with the ability to generate long texts, and images in a wide list of styles. SOTA in image generation per the Artificial Analysis Text-to-Image Benchmark. - **Provider**: replicate - **Model ID**: recraft-ai/recraft-v3 - **Category**: image_generation - **Credits**: 93 per request - **Pricing Type**: fixed ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `aspect_ratio` (string, optional): Aspect ratio of the generated image (Default: `Not set`; Options: `Not set`, `1:1`, `4:3`, `3:4`, `3:2`, `2:3`, `16:9`, `9:16`, `1:2`, `2:1`, `7:5`, `5:7`, `4:5`, `5:4`, `3:5`, `5:3`) - `style` (string, optional): Style of the generated image. (Default: `any`; Options: `any`, `realistic_image`, `digital_illustration`, `digital_illustration/pixel_art`, `digital_illustration/hand_drawn`, `digital_illustration/grain`, `digital_illustration/infantile_sketch`, `digital_illustration/2d_art_poster`, `digital_illustration/handmade_3d`, `digital_illustration/hand_drawn_outline`, `digital_illustration/engraving_color`, `digital_illustration/2d_art_poster_2`, `realistic_image/b_and_w`, `realistic_image/hard_flash`, `realistic_image/hdr`, `realistic_image/natural_light`, `realistic_image/studio_portrait`, `realistic_image/enterprise`, `realistic_image/motion_blur`) - `size` (string, optional): Width and height of the generated image. Size is ignored if an aspect ratio is set. (Default: `1024x1024`; Options: `1024x1024`, `1365x1024`, `1024x1365`, `1536x1024`, `1024x1536`, `1820x1024`, `1024x1820`, `1024x2048`, `2048x1024`, `1434x1024`, `1024x1434`, `1024x1280`, `1280x1024`, `1024x1707`, `1707x1024`) - `prompt` (string, **required**): Text prompt for image generation ## Example Request ```json { "model": "recraft-ai/recraft-v3", "input": { "size": "1365x1024", "prompt": "a wildlife photography photo of a red panda using a laptop in a snowy forest", "style": "any" } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags recraft, text-to-image, image-generation, typography, style-presets, sota ## Documentation https://replicate.com/recraft-ai/recraft-v3